How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

By | November 29th, 2010



The carrier unlock for iPhone 3G and iPhone 3GS (old and new bootroom) with baseband versions 05.14.02 and 05.15.04 has finally been released by the iPhone Dev Team. The ultrasn0w unlock will let you to use your device with any GSM carrier including T-Mobile, ROGERS or others in addition to AT&T. Follow the guide below to unlock your device.

ultrasn0w iphone unlock How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

This version of ultrasn0w is compatible with Apple iOS 4.1 and iOS 4.2.1 with their corresponding basebands. iPhone 4 users are only supported till 01.59.00 and those stuck at 02.10.04 should wait some time before another update is released. You can check your iPhone’s iOS and baseband versions from the Settings menu.

Note: In order to unlock, your iPhone must be jailbroken. If you have not already, you can jailbreak your device using redsn0w by following our guide. If you’re using T-Mobile, remember to turn-off 3G from Settings menu before proceeding. The new procedure requires you to update your baseband to version 06.15.00, the same baseband that comes with iPad 3G with iOS 3.2.2.

Warning: The procedure would update your baseband from 05.14.02 and 05.15.04 to 06.15.00 in order to enable the unlock. You will not be able to revert back to older baseband once it is updates. As Apple doesn’t offer this baseband officially, you might lose the warranty for your device. Proceed at your own risk.

Procedure: (For Mac Users Only)  - PwnageTool Baseband update

  • Download PwnageTool 4.1.3 unlock edition. [Direct Link][Bittorrent].
  • Download Apple iPad 3.2.2 IPSW for getting the updated baseband.
  • Download Apple iOS 4.1 or iOS 4.2.1 for your device.
  • Run PwnageTool 4.1.3 unlock edition and point it to the iOS 4.1 or 4.2.1 IPSW for your device.
  • Once the iOS is verified, the installer with ask for baseband update. Select Yes and point to the IPSW of iPad 3.2.2.
  • The PwnageTool will now make a custom IPSW for you to update. This might take a few minutes.

Capture How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

  • Once the IPSW is made, update to it using the DFU mode from the installer or Restore to the new IPSW from iTunes. You can select custom IPSW from iTunes by pressing left-shift key while clicking the Restore option.
  • Once the new firmware is installer, verify the modem firmware to be 06.15.00 from the settings menu. If this matches, proceed to the guide below to install ultrasn0w.

After the baseband of your iPhone 3G or 3GS is updated to the new version, you may follow this simple guide to update to the new version of ultrasn0w which will unlock your device.

  • Open Cydia from your jailbroken iPhone.

IMG 0057 How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

  • Tap on the Manage Tab and select Sources.

IMG 0058 How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

  • From the sources menu, touch Edit and then Add the URL:  http://repo666.ultrasn0w.com/ and select Add Source. Cydia will now go through a series of steps to update the sources.

IMG 0059 How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

  • After the update is complete, return to Cydia and go to the Search tab and type ultrasn0w.

IMG 0060 How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

  • Select the ultrasn0w package and tap on Install and then confirm. Cydia will install the ultrasn0w package and unlock your iPhone. After the installation is complete, you’ll need to Reboot your device.

IMG 0063 How To Unlock iPhone 3G / 3GS Baseband 05.14.02 & 05.15.04 using ultrasn0w 1.2

  • After the iPhone has restarted, your carrier should now be working. You’ll be able to change the SIM with any GSM carrier of your choice.

(For Windows and Mac Users):




  • Basidal

    Thanks. works good

  • philbos

    Unlocking didn’t worked on my iPhone 3G. It has a baseband of 05.15.04. Does anyone have the same problem?

  • Anonymous

    You will have to first update to baseband 06.15.00 to unlock using PwnageTool on Mac or redsn0w on Windows.

  • Rcblah

    thanks for all he things youve shared here..my iphone is now working well.. cheers

  • Renrencruz

    Hi, i have an iphone 3GS updated accidentally to 05.14.02.
    Could you guys help me to jailbreak & unlock?
    I am not well versed with these jailbreaking & unlocking , so a step by step guide & download links will be very much appreciated. thank you very much!

  • Renrencruz

    Hi, i have an iphone 3GS updated accidentally to 05.14.02.
    Could you guys help me to jailbreak & unlock?
    I am not well versed with these jailbreaking & unlocking , so a step by step guide & download links will be very much appreciated. thank you very much!

  • Anonymous

    This current post is about the step-to-step guide. If you don’t understand some part of the procedure, you can ask in this comment section.

  • ceri pavi

    Hi, i have an iphone 3GS updated to 05.14.02. My iphone is already jailbroken i have cydia installed. but still do i need to follow the pwnage tool baseband update to unlock.

  • Lartdegil

    Thats instructions works!!!

  • Cwood37

    I have a 3gs on 05.14.02 and boot 06.04 with this put my iphone in a tethered state? I hope not.

  • Anonymous

    If your iPhone 3GS has new bootrom, it will be an tethered jailbreak on iOS 4.2.1. If you run previous iphone firmware, it will be untethered.

  • Cwood37

    I am not sure if i have new bootrom, how can i tell. Im sorry i am so lost at this, cause i have tried many different ways, but this is the only one that make sense to me. the iphone is on 4.1. and baseband is 05/14/02 and the boot is 6.04. its a 3gs. thanks for the response, and help. if u could help me again on finding the bootrom.

  • Chowdary390

    did ur phone got unlocked

  • Chowdary390

    can u pls tell me in brief how u unlocked ur iphone and is it with base band 05.14.02 uve unlocked? if so pls mail me the process my id-chowdary390@gmail.com

  • flavius

    Yes.

  • laureny

    I am trying to use this with the 3G with 05.15.04, but when I get to the step to select the 3.2.2 firmware it says that I am using the wrong firmware bundle for some reason. I’m selecting the firmware I downloaded from the link provided on this page… help?

  • laureny

    I’m having the same problem